EDIT - bug #3276

NPE for "Move Elements"” context menu option
01/21/2013 04:32 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

1. Add a description to a taxon

2. Add a specimen to that description

3. Expand the specimen

4. Open the context menu of its child object via right click
5. Select "Move Elements”

6. Press "Cancel" in the upcoming dialog window

An NullPointerException will occur at DescriptionServicelmpl.moveDescriptionElementsToDescription().

| attached the error log.

Related issues:
Related to EDIT - bug #7746: NPE when deleting volatile DescriptionBase Closed

Associated revisions

Revision 90f49fe4 - 09/20/2018 12:25 PM - Katja Luther

fix #3276: avoid exception when moving unpersisted facts

Revision feef82e2 - 10/05/2018 10:11 AM - Katja Luther
ref #3276:move fact should be displayed only for facts

Revision bd0c87e3 - 10/05/2018 10:24 AM - Katja Luther
ref #3276:minor

History

#1 - 01/23/2013 03:07 PM - Patrick Plitzner
- Category changed from cdmlib to taxeditor

- Target version set to TaxEditor Next Major Release

#2 - 05/02/2016 05:24 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to k.luther -

- Target version changed from TaxEditor Next Major Release to Unassigned CDM tickets

Is this still an open issue?

#3 - 09/19/2018 12:40 PM - Andreas Miuller

- Description updated
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.4

#4 - 09/20/2018 12:26 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|90f49fe41d5816b7fce308a5200a950550758e1e.

#5 - 09/20/2018 12:27 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

please review

#6 - 10/05/2018 09:17 AM - Patrick Plitzner
- File picture930-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

| could not reproduce this exception how described above but there is another one.

Now there is also the context menu option to move the factual data when right-clicked on an element
By the way, the tooltips for both options seem to be swapped.
steps to reproduce:

1. Open context menu for description element
2. Select "Move Factual Data to Other Taxon"
3. Select any other taxon and click ok

!ENTRY org.eclipse.ui 4 0 2018-10-05 09:14:09.583

IMESSAGE This is an unexpected error.

Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Details' button).

ISTACK O

java.lang.Exception: login : admin

editor version : 5.4.0.qualifier

server : localhost (localhost-dev)

schema version : 5.0.0.0.20180514

os : Linux 4.15.0-36-generic amd64

java : 1.8.0_121

org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)
at org.eclipse.swt.SWT.error (SWT. java:4533)
#7 - 10/05/2018 10:14 AM - Katja Luther

The NPE | could not reproduce. The menu entry for move factual data is displayed only for descritions, now.

Why the tooltip was swapped (only in english, in german | could not reproduce), | don't know because there is no tooltip defined for these menu items.

#8 - 10/05/2018 12:32 PM - Patrick Plitzner
- Status changed from Feedback to Closed

- % Done changed from 50 to 100

works fine

#9 - 10/25/2018 10:55 AM - Andreas Miiller

- Private changed from Yes to No

#10 - 02/05/2019 01:38 PM - Katja Luther
- Related to bug #7746: NPE when deleting volatile DescriptionBase added

Files

move_elements_error_log.log 9.82 KB 01/21/2013 Patrick Plitzner
move_elements.png 22.6 KB 01/21/2013 Patrick Plitzner
picture930-1.png 27.1 KB 10/05/2018 Patrick Plitzner
